Package org.apache.commons.beanutils

## Class ConvertUtils

- java.lang.Object
- - org.apache.commons.beanutils.ConvertUtils

    public class ConvertUtils
    extends java.lang.Object

Utility methods for converting String scalar values to objects of the specified Class, String arrays to arrays of the specified Class.

For more details, see `ConvertUtilsBean` which provides the implementations for these methods.

Version:
  $Id$
See Also:
  `ConvertUtilsBean`

### Constructor Summary

Constructors
`ConvertUtils()`

### Method Summary

All Methods Static Methods Concrete Methods Deprecated Methods
`static java.lang.String` `convert​(java.lang.Object value)` Convert the specified value into a String.
`static java.lang.Object` `convert​(java.lang.Object value, java.lang.Class<?> targetType)` Convert the value to an object of the specified class (if possible).
`static java.lang.Object` `convert​(java.lang.String[] values, java.lang.Class<?> clazz)` Convert an array of specified values to an array of objects of the specified class (if possible).
`static java.lang.Object` `convert​(java.lang.String value, java.lang.Class<?> clazz)` Convert the specified value to an object of the specified class (if possible).
`static void` `deregister()` Remove all registered `Converter`s, and re-establish the standard Converters.
`static void` `deregister​(java.lang.Class<?> clazz)` Remove any registered `Converter` for the specified destination `Class`.
`static boolean` `getDefaultBoolean()` Deprecated. Register replacement converters for Boolean.TYPE and Boolean.class instead
`static byte` `getDefaultByte()` Deprecated. Register replacement converters for Byte.TYPE and Byte.class instead
`static char` `getDefaultCharacter()` Deprecated. Register replacement converters for Character.TYPE and Character.class instead
`static double` `getDefaultDouble()` Deprecated. Register replacement converters for Double.TYPE and Double.class instead
`static float` `getDefaultFloat()` Deprecated. Register replacement converters for Float.TYPE and Float.class instead
`static int` `getDefaultInteger()` Deprecated. Register replacement converters for Integer.TYPE and Integer.class instead
`static long` `getDefaultLong()` Deprecated. Register replacement converters for Long.TYPE and Long.class instead
`static short` `getDefaultShort()` Deprecated. Register replacement converters for Short.TYPE and Short.class instead
`static Converter` `lookup​(java.lang.Class<?> clazz)` Look up and return any registered `Converter` for the specified destination class; if there is no registered Converter, return `null`.
`static Converter` `lookup​(java.lang.Class<?> sourceType, java.lang.Class<?> targetType)` Look up and return any registered `Converter` for the specified source and destination class; if there is no registered Converter, return `null`.
`static <T> java.lang.Class<T>` `primitiveToWrapper​(java.lang.Class<T> type)` Change primitive Class types to the associated wrapper class.
`static void` `register​(Converter converter, java.lang.Class<?> clazz)` Register a custom `Converter` for the specified destination `Class`, replacing any previously registered Converter.
`static void` `setDefaultBoolean​(boolean newDefaultBoolean)` Deprecated. Register replacement converters for Boolean.TYPE and Boolean.class instead
`static void` `setDefaultByte​(byte newDefaultByte)` Deprecated. Register replacement converters for Byte.TYPE and Byte.class instead
`static void` `setDefaultCharacter​(char newDefaultCharacter)` Deprecated. Register replacement converters for Character.TYPE and Character.class instead
`static void` `setDefaultDouble​(double newDefaultDouble)` Deprecated. Register replacement converters for Double.TYPE and Double.class instead
`static void` `setDefaultFloat​(float newDefaultFloat)` Deprecated. Register replacement converters for Float.TYPE and Float.class instead
`static void` `setDefaultInteger​(int newDefaultInteger)` Deprecated. Register replacement converters for Integer.TYPE and Integer.class instead
`static void` `setDefaultLong​(long newDefaultLong)` Deprecated. Register replacement converters for Long.TYPE and Long.class instead
`static void` `setDefaultShort​(short newDefaultShort)` Deprecated. Register replacement converters for Short.TYPE and Short.class instead

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConvertUtils

    public ConvertUtils()

### Method Detail

#### getDefaultBoolean

    @Deprecated
    public static boolean getDefaultBoolean()

Deprecated.
Register replacement converters for Boolean.TYPE and Boolean.class instead
Gets the default value for Boolean conversions.

Returns:
  The default Boolean value

#### setDefaultBoolean

    @Deprecated
    public static void setDefaultBoolean​(boolean newDefaultBoolean)

Deprecated.
Register replacement converters for Boolean.TYPE and Boolean.class instead
Sets the default value for Boolean conversions.

Parameters:
  `newDefaultBoolean` - The default Boolean value

#### getDefaultByte

    @Deprecated
    public static byte getDefaultByte()

Deprecated.
Register replacement converters for Byte.TYPE and Byte.class instead
Gets the default value for Byte conversions.

Returns:
  The default Byte value

#### setDefaultByte

    @Deprecated
    public static void setDefaultByte​(byte newDefaultByte)

Deprecated.
Register replacement converters for Byte.TYPE and Byte.class instead
Sets the default value for Byte conversions.

Parameters:
  `newDefaultByte` - The default Byte value

#### getDefaultCharacter

    @Deprecated
    public static char getDefaultCharacter()

Deprecated.
Register replacement converters for Character.TYPE and Character.class instead
Gets the default value for Character conversions.

Returns:
  The default Character value

#### setDefaultCharacter

    @Deprecated
    public static void setDefaultCharacter​(char newDefaultCharacter)

Deprecated.
Register replacement converters for Character.TYPE and Character.class instead
Sets the default value for Character conversions.

Parameters:
  `newDefaultCharacter` - The default Character value

#### getDefaultDouble

    @Deprecated
    public static double getDefaultDouble()

Deprecated.
Register replacement converters for Double.TYPE and Double.class instead
Gets the default value for Double conversions.

Returns:
  The default Double value

#### setDefaultDouble

    @Deprecated
    public static void setDefaultDouble​(double newDefaultDouble)

Deprecated.
Register replacement converters for Double.TYPE and Double.class instead
Sets the default value for Double conversions.

Parameters:
  `newDefaultDouble` - The default Double value

#### getDefaultFloat

    @Deprecated
    public static float getDefaultFloat()

Deprecated.
Register replacement converters for Float.TYPE and Float.class instead
Get the default value for Float conversions.

Returns:
  The default Float value

#### setDefaultFloat

    @Deprecated
    public static void setDefaultFloat​(float newDefaultFloat)

Deprecated.
Register replacement converters for Float.TYPE and Float.class instead
Sets the default value for Float conversions.

Parameters:
  `newDefaultFloat` - The default Float value

#### getDefaultInteger

    @Deprecated
    public static int getDefaultInteger()

Deprecated.
Register replacement converters for Integer.TYPE and Integer.class instead
Gets the default value for Integer conversions.

Returns:
  The default Integer value

#### setDefaultInteger

    @Deprecated
    public static void setDefaultInteger​(int newDefaultInteger)

Deprecated.
Register replacement converters for Integer.TYPE and Integer.class instead
Sets the default value for Integer conversions.

Parameters:
  `newDefaultInteger` - The default Integer value

#### getDefaultLong

    @Deprecated
    public static long getDefaultLong()

Deprecated.
Register replacement converters for Long.TYPE and Long.class instead
Gets the default value for Long conversions.

Returns:
  The default Long value

#### setDefaultLong

    @Deprecated
    public static void setDefaultLong​(long newDefaultLong)

Deprecated.
Register replacement converters for Long.TYPE and Long.class instead
Sets the default value for Long conversions.

Parameters:
  `newDefaultLong` - The default Long value

#### getDefaultShort

    @Deprecated
    public static short getDefaultShort()

Deprecated.
Register replacement converters for Short.TYPE and Short.class instead
Gets the default value for Short conversions.

Returns:
  The default Short value

#### setDefaultShort

    @Deprecated
    public static void setDefaultShort​(short newDefaultShort)

Deprecated.
Register replacement converters for Short.TYPE and Short.class instead
Sets the default value for Short conversions.

Parameters:
  `newDefaultShort` - The default Short value

#### convert

    public static java.lang.String convert​(java.lang.Object value)

Convert the specified value into a String.

For more details see `ConvertUtilsBean`.

Parameters:
  `value` - Value to be converted (may be null)
Returns:
  The converted String value or null if value is null
See Also:
  `ConvertUtilsBean.convert(Object)`

#### convert

    public static java.lang.Object convert​(java.lang.String value,
                                           java.lang.Class<?> clazz)

Convert the specified value to an object of the specified class (if possible). Otherwise, return a String representation of the value.

For more details see `ConvertUtilsBean`.

Parameters:
  `value` - Value to be converted (may be null)
  `clazz` - Java class to be converted to (must not be null)
Returns:
  The converted value
See Also:
  `ConvertUtilsBean.convert(String, Class)`

#### convert

    public static java.lang.Object convert​(java.lang.String[] values,
                                           java.lang.Class<?> clazz)

Convert an array of specified values to an array of objects of the specified class (if possible).

For more details see `ConvertUtilsBean`.

Parameters:
  `values` - Array of values to be converted
  `clazz` - Java array or element class to be converted to (must not be null)
Returns:
  The converted value
See Also:
  `ConvertUtilsBean.convert(String[], Class)`

#### convert

    public static java.lang.Object convert​(java.lang.Object value,
                                           java.lang.Class<?> targetType)

Convert the value to an object of the specified class (if possible).

Parameters:
  `value` - Value to be converted (may be null)
  `targetType` - Class of the value to be converted to (must not be null)
Returns:
  The converted value
Throws:
  `ConversionException` - if thrown by an underlying Converter

#### deregister

    public static void deregister()

Remove all registered `Converter`s, and re-establish the standard Converters.

For more details see `ConvertUtilsBean`.

See Also:
  `ConvertUtilsBean.deregister()`

#### deregister

    public static void deregister​(java.lang.Class<?> clazz)

Remove any registered `Converter` for the specified destination `Class`.

For more details see `ConvertUtilsBean`.

Parameters:
  `clazz` - Class for which to remove a registered Converter
See Also:
  `ConvertUtilsBean.deregister(Class)`

#### lookup

    public static Converter lookup​(java.lang.Class<?> clazz)

Look up and return any registered `Converter` for the specified destination class; if there is no registered Converter, return `null`.

For more details see `ConvertUtilsBean`.

Parameters:
  `clazz` - Class for which to return a registered Converter
Returns:
  The registered `Converter` or `null` if not found
See Also:
  `ConvertUtilsBean.lookup(Class)`

#### lookup

    public static Converter lookup​(java.lang.Class<?> sourceType,
                                   java.lang.Class<?> targetType)

Look up and return any registered `Converter` for the specified source and destination class; if there is no registered Converter, return `null`.

Parameters:
  `sourceType` - Class of the value being converted
  `targetType` - Class of the value to be converted to
Returns:
  The registered `Converter` or `null` if not found

#### register

    public static void register​(Converter converter,
                                java.lang.Class<?> clazz)

Register a custom `Converter` for the specified destination `Class`, replacing any previously registered Converter.

For more details see `ConvertUtilsBean`.

Parameters:
  `converter` - Converter to be registered
  `clazz` - Destination class for conversions performed by this Converter
See Also:
  `ConvertUtilsBean.register(Converter, Class)`

#### primitiveToWrapper

    public static <T> java.lang.Class<T> primitiveToWrapper​(java.lang.Class<T> type)

Change primitive Class types to the associated wrapper class. This is useful for concrete converter implementations which typically treat primitive types like their corresponding wrapper types.

Type Parameters:
  `T` - The type to be checked.
Parameters:
  `type` - The class type to check.
Returns:
  The converted type.
Since:
  1.9